Dragons RFC vs Cardiff Rugby · United Rugby Championship
United Rugby Championship · 2025-26Full time

17–24

Match report
Cardiff Rugby beat Dragons RFC 24-17 away from home at Rodney Parade, Newport in round 4 of the United Rugby Championship on Friday, 17 October 2025.
That makes it two wins in a row for Cardiff Rugby. Dragons RFC have now lost two in a row.
Written automatically from the match data; updated as results come in.
Head to head
0
Dragons RFC wins (0%)
0
Draws (0%)
10
Cardiff Rugby wins (100%)
Last 10 meetings, since October 2021
Biggest Cardiff Rugby win
55–21
26 Dec 2023
Last 5 meetings
- 26 Dec 2025 · United Rugby ChampionshipCardiff Rugby22Dragons RFC1926 Dec 2025Cardiff Rugby22–19Dragons RFCUnited Rugby Championship
- 17 Oct 2025 · United Rugby ChampionshipDragons RFC17Cardiff Rugby2417 Oct 2025Dragons RFC17–24Cardiff RugbyUnited Rugby Championship
- 26 Dec 2024 · United Rugby ChampionshipDragons RFC22Cardiff Rugby2426 Dec 2024Dragons RFC22–24Cardiff RugbyUnited Rugby Championship
- 30 Nov 2024 · United Rugby ChampionshipCardiff Rugby31Dragons RFC2330 Nov 2024Cardiff Rugby31–23Dragons RFCUnited Rugby Championship
- 26 Dec 2023 · United Rugby ChampionshipCardiff Rugby55Dragons RFC2126 Dec 2023Cardiff Rugby55–21Dragons RFCUnited Rugby Championship
Lineups
Avg. age
27.9
Avg. age
29.2
Dragons RFC
- 1Wyn Jones(34)
- 2Brodie Coghlan(25)
- 3Robert Hunt(30)
- 4Seb Davies(30)
- 5Ben Carter(25)
- 6Shane Lewis-Hughes(29)
- 7Harry Beddall(21)
- 8Aaron Wainwright(29)
- 9Rhodri Williams(33)
- 10Tinus De Beer(30)
- 11Fine Inisi(28)
- 12Harri Ackerman(21)
- 13Aneurin Owen(26)
- 14Rio Dyer(26)
- 15Angus O'Brien(32)
Replacements
- 17Rodrigo Martinez(28)
- 18Dillon Lewis(30)
- 19Matthew Screech(33)
- 20Ryan Woodman(22)
- 21Niall Armstrong(27)
- 22Cai Evans(27)
- 23Huw Anderson(22)
Cardiff Rugby
- 1Corey Domachowski(30)
- 2Liam Belcher(30)
- 3Keiron Assarratti(29)
- 4Josh McNally(36)
- 5George Nott(30)
- 6Alex Mann(24)
- 7Daniel Thomas(33)
- 8Taulupe Faletau(35)
- 9Aled Davies(34)
- 10Callum Sheedy(30)
- 11Tom Bowen(21)
- 12Ben Thomas(27)
- 13Jacob Beetham(25)
- 14Josh Adams(31)
- 15Cameron Winnett(23)
Replacements
- 16Evan Lloyd(24)
- 17Danny Southworth(27)
- 18Javan Sebastian(32)
- 19Rory Thornton(31)
- 20Alan Lawrence(28)
- 21Taine Basham(26)
- 22Johan Mulder(27)
- 23Ioan Lloyd(25)